DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Modulo

Arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Modulo ( in, out, period )

## DATA TYPES

integer

## FUNCTION

Computes the modulo of the input image values, by computing the remainder of the the division of the input image values with period.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_int` | `period` | Period

## SEE ALSO

`Div`, `DivFloat`, `DivComplex`, `Reciprocal`

DIPlib on-line documentation | Function reference | Global function index